import request from '@/utils/request'

// 查询我的状况图片列表
export function listPublishImg(query) {
  return request({
    url: '/system/publishImg/list',
    method: 'get',
    params: query
  })
}

// 查询我的状况图片详细
export function getPublishImg(id) {
  return request({
    url: '/system/publishImg/' + id,
    method: 'get'
  })
}

// 新增我的状况图片
export function addPublishImg(data) {
  return request({
    url: '/system/publishImg',
    method: 'post',
    data: data
  })
}

// 修改我的状况图片
export function updatePublishImg(data) {
  return request({
    url: '/system/publishImg',
    method: 'put',
    data: data
  })
}

// 删除我的状况图片
export function delPublishImg(id) {
  return request({
    url: '/system/publishImg/' + id,
    method: 'delete'
  })
}

// 导出我的状况图片
export function exportPublishImg(query) {
  return request({
    url: '/system/publishImg/export',
    method: 'get',
    params: query
  })
}